Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1127402

Description of problem:

Description of problem:

When RHEL 5.9 client is subscribed to katello to consume "http://inecas.fedorapeople.org/fakerepos/zoo-rhel5-new/" repo package,

yum install fails with error: "[Errno -3] Error performing checksum"

A workaround is installing python-hashlib in the %packages section of the kickstart.

How reproducible:

Always

Steps to Reproduce:

1. Provision a rhel 5 system from satellite

2. Attempt to install a package after provisioning

Actual results:

install fails with error: "[Errno -3] Error performing checksum"

Expected results:

Install works as expected

Additional info:

When moving sync logic to dynflow, we lost this logic:

https://github.com/Katello/katello/pull/3410/files

Associated revisions

Revision 14152963 - 08/07/2014 03:52 PM - Justin Sherrill

fixes #6992 - ensure rhel 5 repos can be used by el5 clients

We can not publish the repos prior to syncing as this will cause

pulp to set the checksum on the repos to sha256.  See https://bugzilla.redhat.com/show_bug.cgi?id=1127793

We also need to pull the checksum after sync and add it to the repo

to ensure that clones use the same checksum

Revision 17c7daf6 - 08/12/2014 03:08 PM - Justin Sherrill

Merge pull request #4551 from jlsherrill/6992

fixes #6992 - ensure rhel 5 repos can be used by el5 clients

History

#1 - 08/07/2014 03:24 PM - Justin Sherrill
- translation missing: en.field_release set to 13

- Difficulty set to medium

- Triaged changed from No to Yes

#2 - 08/07/2014 03:53 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4551 added

- Pull request deleted ()

#3 - 08/12/2014 04:01 PM - Justin Sherrill

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|1415296307c8e560dab30deb6bce92699fb5dde2.
